# Class ShapeModeDoc

java.lang.Object
uk.ac.starlink.ttools.build.ShapeModeDoc

public class ShapeModeDoc extends Object
Writes XML text documenting known plot2 ShapeModes (shading modes). Output is to standard output. This class is designed to be used from its `main` method.

Since:
  15 Sep 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ShapeModeDoc(boolean basicXml)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static Map<String, ShapeMode>`
`getShapeModes()`
Returns a map (keyed by name) of all the ShapeModes known to Stilts.
`String`
`getXmlDoc(ShapeMode mode)`
Returns XML element giving full user documentation for a given shading mode.
`static void`
`main(String[] args)`
Main method.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShapeModeDoc

public ShapeModeDoc(boolean basicXml)
Constructor.

Parameters:
  `basicXml` - avoid XML constructs that won't show up in text output

## Method Details

### getXmlDoc

public String getXmlDoc(ShapeMode mode)
Returns XML element giving full user documentation for a given shading mode.

Parameters:
  `mode` - shapemode
Returns:
  text of a <subsect> element

### getShapeModes

public static Map<String, ShapeMode> getShapeModes() throws uk.ac.starlink.util.LoadException
Returns a map (keyed by name) of all the ShapeModes known to Stilts.

Returns:
  name->mode map
Throws:
  `uk.ac.starlink.util.LoadException`

### main

public static void main(String[] args) throws uk.ac.starlink.util.LoadException
Main method. Try `-help`.

Throws:
  `uk.ac.starlink.util.LoadException`